UnrealIRCd Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003988unrealinstallingpublic2010-12-27 21:592012-08-17 12:32
Reporterkatsklaw 
Assigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSDebianOS VersionLenny
Product Version3.2.9-RC1 
Target VersionFixed in Version3.2.10-rc1 
Summary0003988: make install does not copy *.pem files to run directory
Descriptionuhm, Summary says it all :)
TagsNo tags attached.
3rd party modules
Attached Filesdiff file icon install-pem.diff [^] (605 bytes) 2010-12-27 22:09
diff file icon install-pem2.diff [^] (617 bytes) 2010-12-27 22:13
diff file icon install-pem3.diff [^] (618 bytes) 2010-12-27 22:15
diff file icon install-pem4.diff [^] (632 bytes) 2010-12-27 23:06
diff file icon install-pem-check-crt-only.diff [^] (516 bytes) 2010-12-28 01:14
diff file icon install-pem5.diff [^] (578 bytes) 2010-12-28 02:57

- Relationships

-  Notes
(0016518)
katsklaw (reporter)
2010-12-27 22:10

uploaded patch.
(0016519)
katsklaw (reporter)
2010-12-27 22:14

stupid mistake, use install-pem2.diff
(0016520)
katsklaw (reporter)
2010-12-27 22:16

3rd times a charm!!

if ! -f "beer.h" ; then don't code!
(0016521)
katsklaw (reporter)
2010-12-27 23:08
edited on: 2010-12-27 23:30

ok install-pem4.diff checks to see if the pem files exist and $(IRCDDIR) pems do not or are older. This is so users can run 'make pem' then 'make install' to install new pems.

(0016522)
ohnobinki (developer)
2010-12-28 00:42

I think that it'd be safer to test if the .cert file exists than the .req, which does not need to exist for the certificates to be used.

I'm somewhat against testing at all for these cert files during make install, maybe we can just let ``make pem'' install them after generating them or I suppose that this patch is OK.
(0016523)
katsklaw (reporter)
2010-12-28 00:57
edited on: 2010-12-28 01:16

Having 'make pem' doing the installation is logical except if the user wants to use it to create the certs for purposes other than for the ircd. Having, 'make install' do it is a safer bet, imho.

I'll attach a patch that works off the .crt file check that already exists if you rather do that.

(0016524)
katsklaw (reporter)
2010-12-28 03:00

ok, I promise I'm done being absent minded. #5 checks for the .cert file (as opposed to the unrelated .crt file) instead of .req. It also uses tabs instead of spaces (picky picky picky ;P).

EOF
(0017073)
syzop (administrator)
2012-08-17 12:31

- Install server.*.pem files, patch from katsklaw (0003988).
- The ./Config script will now ask whether to generate an SSL
  certificate when it does not exist (defaults to Yes), instead of
  always generating one.

Yeah I combined the two, shoot me ;)
The reason I added the prompt is that, otherwise when upgrading Unreal the certificate would always be generated (since it doesn't exist in the source directory), and then when you do 'make install' to update your installation the timestamp would be newer so you are now overwriting your existing (and probably good) certificates). Now, I expect users to simply say 'No' to the certificate generation when they already have one (in their target directory).

- Issue History
Date Modified Username Field Change
2010-12-27 21:59 katsklaw New Issue
2010-12-27 22:09 katsklaw File Added: install-pem.diff
2010-12-27 22:09 katsklaw Note Added: 0016517
2010-12-27 22:10 katsklaw Note Added: 0016518
2010-12-27 22:10 katsklaw Status new => has patch
2010-12-27 22:10 katsklaw Note Deleted: 0016517
2010-12-27 22:13 katsklaw File Added: install-pem2.diff
2010-12-27 22:14 katsklaw Note Added: 0016519
2010-12-27 22:15 katsklaw File Added: install-pem3.diff
2010-12-27 22:16 katsklaw Note Added: 0016520
2010-12-27 23:06 katsklaw File Added: install-pem4.diff
2010-12-27 23:08 katsklaw Note Added: 0016521
2010-12-27 23:27 katsklaw Note Edited: 0016521 View Revisions
2010-12-27 23:29 katsklaw Note Edited: 0016521 View Revisions
2010-12-27 23:30 katsklaw Note Edited: 0016521 View Revisions
2010-12-28 00:42 ohnobinki Note Added: 0016522
2010-12-28 00:57 katsklaw Note Added: 0016523
2010-12-28 01:14 katsklaw File Added: install-pem-check-crt-only.diff
2010-12-28 01:16 katsklaw Note Edited: 0016523 View Revisions
2010-12-28 02:57 katsklaw File Added: install-pem5.diff
2010-12-28 03:00 katsklaw Note Added: 0016524
2012-08-17 12:31 syzop Note Added: 0017073
2012-08-17 12:31 syzop Status has patch => resolved
2012-08-17 12:31 syzop Fixed in Version => 3.2.10-rc1
2012-08-17 12:31 syzop Resolution open => fixed
2012-08-17 12:31 syzop Assigned To => syzop


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker